cordova.define("com.vanward.tests.Tests", function(require, exports, module) {
var exec = require('cordova/exec');

var Tests = {

  connecting: function(ip, port, successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'Tests', 'connecting', [ip, port]);
  },
  sendMsg: function(message,successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'Tests', 'sendMsg', [message]);
  },
  close: function(successCallback, errorCallback) {
    exec(successCallback, errorCallback, 'Tests', 'close', []);
  },
  receive: function(message) {
    var evReceive = document.createEvent('Events');
    // socket返回内容回调
    evReceive.initEvent('Socket_RECEIVE_DATA_HOOK', true, true);
    evReceive.metadata = {
      connection: {
        message: message
      }
    };
    document.dispatchEvent(evReceive);
  }
};

module.exports = Tests;

});
